

//function to test whether a given frame is in scope
function isFrame(frameName) 
{
    for (var i=0;i<parent.frames.length;i++) {
         if (parent.frames[i].name == frameName)
             return true;
    }
    return false;
}

function loadPage() {
	if (top.frames['dh_masthead'])
	{}
	else
	{
		//if the browser is Opera and the URL is other than HTTP, do not load the frameset.
		// Opera 7.5.4 fixed a security vulnerability, and that seems to prevent accessing file URLs
		try {
			var isOpera = navigator.userAgent;
			if (isOpera.indexOf('Opera') > -1 && self.location.href.indexOf('http') == -1) {

			}
			else {
				if (top.location == self.location) {
					//open the current page#hash within the frameset
					var sPath = self.location.pathname;
					//substring base filename from pathname
					var nIx = sPath.lastIndexOf("/")+1;
					sPageName = sPath.substring(nIx);
					var nIx = sPageName.lastIndexOf("\\")+1;
					sPageName = sPageName.substring(nIx);
					//use basename to display page in frameset
					urlPath = "frameset.htm?" + sPageName + self.location.hash;
					self.location.replace(urlPath);
				}
				tryTogglingMastheadButtons(0)
			}
		self.focus();
		}
		catch(e) {

		}
	}
}

function tryTogglingMastheadButtons(lastTry) {
	if (top.masthead) {
		try {
			top.masthead.toggleNextButton();
			top.masthead.togglePrevButton();
		}
		catch(e) {
			//if masthead functions are unavailable, handle error and call function again
			setTimeout("tryTogglingMastheadButtons(1)", 6000);
		}
	}
	else{
		if (lastTry == 0) {
			//if masthead hasn't yet loaded, call this function once more
			setTimeout("tryTogglingMastheadButtons(1)", 6000);
		}
	}
}

//scroll the TreeView TOC to the current entry
function scrollToTocEntry(linkID) {
	try {
		//run the code only if the TOC tab has focus, otherwise an error will occur
		if (parent.tabInNavPane==1) {
			var folderObj;
			docObj = parent.toc.findObj(linkID);
			docObj.forceOpeningOfAncestorFolders();
			parent.toc.updateTocLink(linkID,docObj.link,'content');
			parent.toc.scrollBy(-2000,0);
		}
	}
	catch(e) {

	}
}

function sanitizeJavascript(s)
{
	return s.replace(/\;/g,'&#59;').replace(/\(/g,'&#40;').replace(/\)/g,'&#41;').replace(/\</g,'&lt;').replace(/\>/g,'&gt;').replace(/\"/g,'&quot;').replace(/\'/g,'&#x27;').replace(/\./g,'&#46;').replace(/\*/g,'&#42;').replace(/\@/g,'&#64;').replace(/\r/g,'').replace(/\n/g,'').replace(/\=/g,'&#61;').replace(/\//g,'&#x2F;').replace(/\-/g,'&#45;');
}

function sanitizeHTML(s)
{
	return s.replace(/\&/g,'&amp;').replace(/\</g,'&lt;').replace(/\>/g,'&gt;').replace(/\"/g,'&quot;').replace(/\'/g,'&#x27;').replace(/\//g,'&#x2F;');
}

//validate that an input param is valid
function isSearchParamValid(paramToCheck)
{
	if(paramToCheck != "searchField" && paramToCheck != "srcriteria" && paramToCheck != "range" && paramToCheck != "Submit")
	{
		return false;
	}
	else
	{
		return true;
	}
}

 
