// You can find instructions for this file here:
// http://www.treeview.net

// Decide if the names are links or just the icons
USETEXTLINKS = 1  //replace 0 with 1 for hyperlinks

// Decide if the tree is to start all open or just show the root folders
STARTALLOPEN = 0 //replace 0 with 1 to show the whole tree

ICONPATH = 'images_ui/'
USEICONS = 0
HIGHLIGHT = 0
HIGHLIGHT_BG = '#FFFFFF'
HIGHLIGHT_COLOR = '#000000'
WRAPTEXT = 1
foldersTree = gFld("")

foldersTree.xID = "xobjxobj"
first00 = insDoc(foldersTree, gLnk("R", "Documentation Accessibility", "acc01.html"))
        first00.xID = "acc01"
  first0 = insDoc(foldersTree, gLnk("R", "Copyright Page", "copyrite.html"))
first0.xID = "copyrite"

first1 = insDoc(foldersTree, gLnk("R", "About the Smart View Developer\'s Guide", "launch.htm"))
first1.xID = "launch"
first2 = insFld(foldersTree, gFld("About VBA Functions", "ch02.html"))
first2.xID = "ch02"
second1 = insDoc(first2, gLnk("R", "Assumed Knowledge", "ch02s01.html"))
second1.xID = "ch02s01"
second2 = insDoc(first2, gLnk("R", "VBA Functions Location", "ch02s02.html"))
second2.xID = "ch02s02"
second3 = insDoc(first2, gLnk("R", "Using VBA Function Code Samples", "ch02s03.html"))
second3.xID = "ch02s03"
second4 = insDoc(first2, gLnk("R", "VBA Functions in 64-Bit Versions", "ch02s04.html"))
second4.xID = "ch02s04"
second5 = insDoc(first2, gLnk("R", "VBA Parameters", "ch02s05.html"))
second5.xID = "ch02s05"
second6 = insDoc(first2, gLnk("R", "VBA Return Values", "ch02s06.html"))
second6.xID = "ch02s06"
second7 = insDoc(first2, gLnk("R", "Using Spreadsheet Toolkit VBA Applications in Smart View", "ch02s07.html"))
second7.xID = "ch02s07"
second8 = insDoc(first2, gLnk("R", "VBA Function Types", "ch02s08.html"))
second8.xID = "ch02s08"
first3 = insFld(foldersTree, gFld("Menu Functions", "ch03.html"))
first3.xID = "ch03"
second1 = insDoc(first3, gLnk("R", "About Menu Functions", "ch03s01.html"))
second1.xID = "ch03s01"
second2 = insDoc(first3, gLnk("R", "HypMenuVAbout", "ch03s02.html"))
second2.xID = "ch03s02"
second3 = insDoc(first3, gLnk("R", "HypMenuVAdjust", "ch03s03.html"))
second3.xID = "ch03s03"
second4 = insDoc(first3, gLnk("R", "HypMenuVBusinessRules", "ch03s04.html"))
second4.xID = "ch03s04"
second5 = insDoc(first3, gLnk("R", "HypMenuVCalculation", "ch03s05.html"))
second5.xID = "ch03s05"
second6 = insDoc(first3, gLnk("R", "HypMenuVCascadeNewWorkbook", "ch03s06.html"))
second6.xID = "ch03s06"
second7 = insDoc(first3, gLnk("R", "HypMenuVCascadeSameWorkbook", "ch03s07.html"))
second7.xID = "ch03s07"
second8 = insDoc(first3, gLnk("R", "HypMenuVCellText", "ch03s08.html"))
second8.xID = "ch03s08"
second9 = insDoc(first3, gLnk("R", "HypMenuVCollapse", "ch03s09.html"))
second9.xID = "ch03s09"
second10 = insDoc(first3, gLnk("R", "HypMenuVConnect", "ch03s10.html"))
second10.xID = "ch03s10"
second11 = insDoc(first3, gLnk("R", "HypMenuVCopyDataPoints", "ch03s11.html"))
second11.xID = "ch03s11"
second12 = insDoc(first3, gLnk("R", "HypMenuVExpand", "ch03s12.html"))
second12.xID = "ch03s12"
second13 = insDoc(first3, gLnk("R", "HypMenuVFunctionBuilder", "ch03s13.html"))
second13.xID = "ch03s13"
second14 = insDoc(first3, gLnk("R", "HypMenuVInstruction", "ch03s14.html"))
second14.xID = "ch03s14"
second15 = insDoc(first3, gLnk("R", "HypMenuVKeepOnly", "ch03s15.html"))
second15.xID = "ch03s15"
second16 = insDoc(first3, gLnk("R", "HypMenuVLRO", "ch03s16.html"))
second16.xID = "ch03s16"
second17 = insDoc(first3, gLnk("R", "HypMenuVMemberInformation", "ch03s17.html"))
second17.xID = "ch03s17"
second18 = insDoc(first3, gLnk("R", "HypMenuVMemberSelection", "ch03s18.html"))
second18.xID = "ch03s18"
second19 = insDoc(first3, gLnk("R", "HypMenuVMigrate", "ch03s19.html"))
second19.xID = "ch03s19"
second20 = insDoc(first3, gLnk("R", "HypMenuVOptions", "ch03s20.html"))
second20.xID = "ch03s20"
second21 = insDoc(first3, gLnk("R", "HypMenuVPasteDataPoints", "ch03s21.html"))
second21.xID = "ch03s21"
second22 = insDoc(first3, gLnk("R", "HypMenuVPivot", "ch03s22.html"))
second22.xID = "ch03s22"
second23 = insDoc(first3, gLnk("R", "HypMenuVPOVManager", "ch03s23.html"))
second23.xID = "ch03s23"
second24 = insDoc(first3, gLnk("R", "HypMenuVQueryDesigner", "ch03s24.html"))
second24.xID = "ch03s24"
second25 = insDoc(first3, gLnk("R", "HypMenuVRedo", "ch03s25.html"))
second25.xID = "ch03s25"
second26 = insDoc(first3, gLnk("R", "HypMenuVRefresh", "ch03s26.html"))
second26.xID = "ch03s26"
second27 = insDoc(first3, gLnk("R", "HypMenuVRefreshAll", "ch03s27.html"))
second27.xID = "ch03s27"
second28 = insDoc(first3, gLnk("R", "HypMenuVRefreshOfflineDefinition", "ch03s28.html"))
second28.xID = "ch03s28"
second29 = insDoc(first3, gLnk("R", "HypMenuVRemoveOnly", "ch03s29.html"))
second29.xID = "ch03s29"
second30 = insDoc(first3, gLnk("R", "HypMenuVRulesOnForm", "ch03s30.html"))
second30.xID = "ch03s30"
second31 = insDoc(first3, gLnk("R", "HypMenuVRunReport", "ch03s31.html"))
second31.xID = "ch03s31"
second32 = insDoc(first3, gLnk("R", "HypMenuVSelectForm", "ch03s32.html"))
second32.xID = "ch03s32"
second33 = insDoc(first3, gLnk("R", "HypMenuVShowHelpHtml", "ch03s33.html"))
second33.xID = "ch03s33"
second34 = insDoc(first3, gLnk("R", "HypMenuVSubmitData", "ch03s34.html"))
second34.xID = "ch03s34"
second35 = insDoc(first3, gLnk("R", "HypMenuVSupportingDetails", "ch03s35.html"))
second35.xID = "ch03s35"
second36 = insDoc(first3, gLnk("R", "HypMenuVSyncBack", "ch03s36.html"))
second36.xID = "ch03s36"
second37 = insDoc(first3, gLnk("R", "HypMenuVTakeOffline", "ch03s37.html"))
second37.xID = "ch03s37"
second38 = insDoc(first3, gLnk("R", "HypMenuVUndo", "ch03s38.html"))
second38.xID = "ch03s38"
second39 = insDoc(first3, gLnk("R", "HypMenuVVisualizeinExcel", "ch03s39.html"))
second39.xID = "ch03s39"
second40 = insDoc(first3, gLnk("R", "HypMenuVZoomIn", "ch03s40.html"))
second40.xID = "ch03s40"
second41 = insDoc(first3, gLnk("R", "HypMenuVZoomOut", "ch03s41.html"))
second41.xID = "ch03s41"
second42 = insDoc(first3, gLnk("R", "HypExecuteMenu", "ch03s42.html"))
second42.xID = "ch03s42"
first4 = insFld(foldersTree, gFld("General Functions", "ch04.html"))
first4.xID = "ch04"
second1 = insDoc(first4, gLnk("R", "About General Functions", "ch04s01.html"))
second1.xID = "ch04s01"
second2 = insDoc(first4, gLnk("R", "HypShowPanel", "ch04s02.html"))
second2.xID = "ch04s02"
second3 = insDoc(first4, gLnk("R", "HypGetVersion", "ch04s03.html"))
second3.xID = "ch04s03"
second4 = insDoc(first4, gLnk("R", "HypGetLastError", "ch04s04.html"))
second4.xID = "ch04s04"
second5 = insDoc(first4, gLnk("R", "HypShowPov", "ch04s05.html"))
second5.xID = "ch04s05"
second6 = insDoc(first4, gLnk("R", "HypSetMenu", "ch04s06.html"))
second6.xID = "ch04s06"
second7 = insDoc(first4, gLnk("R", "HypCopyMetaData", "ch04s07.html"))
second7.xID = "ch04s07"
second8 = insDoc(first4, gLnk("R", "HypDeleteMetaData", "ch04s08.html"))
second8.xID = "ch04s08"
second9 = insDoc(first4, gLnk("R", "HypIsDataModified", "ch04s09.html"))
second9.xID = "ch04s09"
second10 = insDoc(first4, gLnk("R", "HypIsSmartViewContentPresent", "ch04s10.html"))
second10.xID = "ch04s10"
second11 = insDoc(first4, gLnk("R", "HypIsFreeForm", "ch04s11.html"))
second11.xID = "ch04s11"
second12 = insDoc(first4, gLnk("R", "HypUndo", "ch04s12.html"))
second12.xID = "ch04s12"
second13 = insDoc(first4, gLnk("R", "HypRedo", "ch04s13.html"))
second13.xID = "ch04s13"
second14 = insDoc(first4, gLnk("R", "HypPreserveFormatting", "ch04s14.html"))
second14.xID = "ch04s14"
second15 = insDoc(first4, gLnk("R", "HypRemovePreservedFormats", "ch04s15.html"))
second15.xID = "ch04s15"
second16 = insDoc(first4, gLnk("R", "HypSetAliasTable", "ch04s16.html"))
second16.xID = "ch04s16"
second17 = insDoc(first4, gLnk("R", "HypGetSubstitutionVariable", "ch04s17.html"))
second17.xID = "ch04s17"
second18 = insDoc(first4, gLnk("R", "HypSetSubstitutionVariable", "ch04s18.html"))
second18.xID = "ch04s18"
second19 = insDoc(first4, gLnk("R", "HypGetDatabaseNote", "ch04s19.html"))
second19.xID = "ch04s19"
first5 = insFld(foldersTree, gFld("Connection Functions", "ch05.html"))
first5.xID = "ch05"
second1 = insDoc(first5, gLnk("R", "About Connection Functions", "ch05s01.html"))
second1.xID = "ch05s01"
second2 = insDoc(first5, gLnk("R", "HypConnect", "ch05s02.html"))
second2.xID = "ch05s02"
second3 = insDoc(first5, gLnk("R", "HypUIConnect", "ch05s03.html"))
second3.xID = "ch05s03"
second4 = insDoc(first5, gLnk("R", "HypConnected", "ch05s04.html"))
second4.xID = "ch05s04"
second5 = insDoc(first5, gLnk("R", "HypConnectionExists", "ch05s05.html"))
second5.xID = "ch05s05"
second6 = insDoc(first5, gLnk("R", "HypCreateConnection", "ch05s06.html"))
second6.xID = "ch05s06"
second7 = insDoc(first5, gLnk("R", "HypCreateConnectionEx", "ch05s07.html"))
second7.xID = "ch05s07"
second8 = insDoc(first5, gLnk("R", "HypDisconnect", "ch05s08.html"))
second8.xID = "ch05s08"
second9 = insDoc(first5, gLnk("R", "HypDisconnectAll", "ch05s09.html"))
second9.xID = "ch05s09"
second10 = insDoc(first5, gLnk("R", "HypDisconnectEx", "ch05s10.html"))
second10.xID = "ch05s10"
second11 = insDoc(first5, gLnk("R", "HypGetSharedConnectionsURL", "ch05s11.html"))
second11.xID = "ch05s11"
second12 = insDoc(first5, gLnk("R", "HypSetSharedConnectionsURL", "ch05s12.html"))
second12.xID = "ch05s12"
second13 = insDoc(first5, gLnk("R", "HypIsConnectedToSharedConnections", "ch05s13.html"))
second13.xID = "ch05s13"
second14 = insDoc(first5, gLnk("R", "HypRemoveConnection", "ch05s14.html"))
second14.xID = "ch05s14"
second15 = insDoc(first5, gLnk("R", "HypInvalidateSSO", "ch05s15.html"))
second15.xID = "ch05s15"
second16 = insDoc(first5, gLnk("R", "HypResetFriendlyName", "ch05s16.html"))
second16.xID = "ch05s16"
second17 = insDoc(first5, gLnk("R", "HypSetActiveConnection", "ch05s17.html"))
second17.xID = "ch05s17"
second18 = insDoc(first5, gLnk("R", "HypSetAsDefault", "ch05s18.html"))
second18.xID = "ch05s18"
second19 = insDoc(first5, gLnk("R", "HypSetConnAliasTable", "ch05s19.html"))
second19.xID = "ch05s19"
first6 = insFld(foldersTree, gFld("Ad Hoc Functions", "ch06.html"))
first6.xID = "ch06"
second1 = insDoc(first6, gLnk("R", "About Ad Hoc Functions", "ch06s01.html"))
second1.xID = "ch06s01"
second2 = insDoc(first6, gLnk("R", "HypPerformAdhocOnForm", "ch06s02.html"))
second2.xID = "ch06s02"
second3 = insDoc(first6, gLnk("R", "HypRetrieve", "ch06s03.html"))
second3.xID = "ch06s03"
second4 = insDoc(first6, gLnk("R", "HypRetrieveRange", "ch06s04.html"))
second4.xID = "ch06s04"
second5 = insDoc(first6, gLnk("R", "HypRetrieveNameRange", "ch06s05.html"))
second5.xID = "ch06s05"
second6 = insDoc(first6, gLnk("R", "HypGetNameRangeList", "ch06s06.html"))
second6.xID = "ch06s06"
second7 = insDoc(first6, gLnk("R", "HypRetrieveAllWorkbooks", "ch06s07.html"))
second7.xID = "ch06s07"
second8 = insDoc(first6, gLnk("R", "HypExecuteQuery", "ch06s08.html"))
second8.xID = "ch06s08"
second9 = insDoc(first6, gLnk("R", "HypSubmitData", "ch06s09.html"))
second9.xID = "ch06s09"
second10 = insDoc(first6, gLnk("R", "HypPivot", "ch06s10.html"))
second10.xID = "ch06s10"
second11 = insDoc(first6, gLnk("R", "HypPivotToGrid", "ch06s11.html"))
second11.xID = "ch06s11"
second12 = insDoc(first6, gLnk("R", "HypPivotToPOV", "ch06s12.html"))
second12.xID = "ch06s12"
second13 = insDoc(first6, gLnk("R", "HypKeepOnly", "ch06s13.html"))
second13.xID = "ch06s13"
second14 = insDoc(first6, gLnk("R", "HypRemoveOnly", "ch06s14.html"))
second14.xID = "ch06s14"
second15 = insDoc(first6, gLnk("R", "HypZoomIn", "ch06s15.html"))
second15.xID = "ch06s15"
second16 = insDoc(first6, gLnk("R", "HypZoomOut", "ch06s16.html"))
second16.xID = "ch06s16"
first7 = insFld(foldersTree, gFld("Form Functions", "ch07.html"))
first7.xID = "ch07"
second1 = insDoc(first7, gLnk("R", "About Forms", "ch07s01.html"))
second1.xID = "ch07s01"
second2 = insDoc(first7, gLnk("R", "HypOpenForm", "ch07s02.html"))
second2.xID = "ch07s02"
first8 = insFld(foldersTree, gFld("Cell Functions", "ch08.html"))
first8.xID = "ch08"
second1 = insDoc(first8, gLnk("R", "About Cell Functions", "ch08s01.html"))
second1.xID = "ch08s01"
second2 = insDoc(first8, gLnk("R", "HypGetDimMbrsForDataCell", "ch08s02.html"))
second2.xID = "ch08s02"
second3 = insDoc(first8, gLnk("R", "HypCell", "ch08s03.html"))
second3.xID = "ch08s03"
second4 = insDoc(first8, gLnk("R", "HypFreeDataPoint", "ch08s04.html"))
second4.xID = "ch08s04"
second5 = insDoc(first8, gLnk("R", "HypGetCellRangeForMbrCombination", "ch08s05.html"))
second5.xID = "ch08s05"
second6 = insDoc(first8, gLnk("R", "HypGetDataPoint", "ch08s06.html"))
second6.xID = "ch08s06"
second7 = insDoc(first8, gLnk("R", "HypIsCellWritable", "ch08s07.html"))
second7.xID = "ch08s07"
second8 = insDoc(first8, gLnk("R", "HypSetCellsDirty", "ch08s08.html"))
second8.xID = "ch08s08"
second9 = insDoc(first8, gLnk("R", "HypDeleteAllLROs", "ch08s09.html"))
second9.xID = "ch08s09"
second10 = insDoc(first8, gLnk("R", "HypDeleteLROs", "ch08s10.html"))
second10.xID = "ch08s10"
second11 = insDoc(first8, gLnk("R", "HypAddLRO", "ch08s11.html"))
second11.xID = "ch08s11"
second12 = insDoc(first8, gLnk("R", "HypUpdateLRO", "ch08s12.html"))
second12.xID = "ch08s12"
second13 = insDoc(first8, gLnk("R", "HypListLROs", "ch08s13.html"))
second13.xID = "ch08s13"
second14 = insDoc(first8, gLnk("R", "HypRetrieveLRO", "ch08s14.html"))
second14.xID = "ch08s14"
second15 = insDoc(first8, gLnk("R", "HypExecuteDrillThroughReport", "ch08s15.html"))
second15.xID = "ch08s15"
second16 = insDoc(first8, gLnk("R", "HypGetDrillThroughReports", "ch08s16.html"))
second16.xID = "ch08s16"
first9 = insFld(foldersTree, gFld("POV Functions", "ch09.html"))
first9.xID = "ch09"
second1 = insDoc(first9, gLnk("R", "About POV Functions", "ch09s01.html"))
second1.xID = "ch09s01"
second2 = insDoc(first9, gLnk("R", "HypSetPOV", "ch09s02.html"))
second2.xID = "ch09s02"
second3 = insDoc(first9, gLnk("R", "HypGetBackgroundPOV", "ch09s03.html"))
second3.xID = "ch09s03"
second4 = insDoc(first9, gLnk("R", "HypSetBackgroundPOV", "ch09s04.html"))
second4.xID = "ch09s04"
second5 = insDoc(first9, gLnk("R", "HypGetPagePOVChoices", "ch09s05.html"))
second5.xID = "ch09s05"
second6 = insDoc(first9, gLnk("R", "HypSetPages", "ch09s06.html"))
second6.xID = "ch09s06"
second7 = insDoc(first9, gLnk("R", "HypGetMembers", "ch09s07.html"))
second7.xID = "ch09s07"
second8 = insDoc(first9, gLnk("R", "HypSetMembers", "ch09s08.html"))
second8.xID = "ch09s08"
second9 = insDoc(first9, gLnk("R", "HypGetActiveMember", "ch09s09.html"))
second9.xID = "ch09s09"
second10 = insDoc(first9, gLnk("R", "HypSetActiveMember", "ch09s10.html"))
second10.xID = "ch09s10"
second11 = insDoc(first9, gLnk("R", "HypGetDimensions", "ch09s11.html"))
second11.xID = "ch09s11"
second12 = insDoc(first9, gLnk("R", "HypSetDimensions", "ch09s12.html"))
second12.xID = "ch09s12"
first10 = insFld(foldersTree, gFld("Calculation Script and Business Rule Functions", "ch10.html"))
first10.xID = "ch10"
second1 = insDoc(first10, gLnk("R", "About Calculation Script and Business Rule Functions", "ch10s01.html"))
second1.xID = "ch10s01"
second2 = insDoc(first10, gLnk("R", "HypListCalcScripts", "ch10s02.html"))
second2.xID = "ch10s02"
second3 = insDoc(first10, gLnk("R", "HypExecuteCalcScript", "ch10s03.html"))
second3.xID = "ch10s03"
second4 = insDoc(first10, gLnk("R", "HypListCalcScriptsEx", "ch10s04.html"))
second4.xID = "ch10s04"
second5 = insDoc(first10, gLnk("R", "HypExecuteCalcScriptEx", "ch10s05.html"))
second5.xID = "ch10s05"
second6 = insDoc(first10, gLnk("R", "HypDeleteCalc", "ch10s06.html"))
second6.xID = "ch10s06"
first11 = insFld(foldersTree, gFld("Calculation, Consolidation, and Translation Functions", "ch11.html"))
first11.xID = "ch11"
second1 = insDoc(first11, gLnk("R", "About Calculation, Consolidation, and Translation Functions", "ch11s01.html"))
second1.xID = "ch11s01"
second2 = insDoc(first11, gLnk("R", "HypCalculate", "ch11s02.html"))
second2.xID = "ch11s02"
second3 = insDoc(first11, gLnk("R", "HypCalculateContribution", "ch11s03.html"))
second3.xID = "ch11s03"
second4 = insDoc(first11, gLnk("R", "HypConsolidate", "ch11s04.html"))
second4.xID = "ch11s04"
second5 = insDoc(first11, gLnk("R", "HypConsolidateAll", "ch11s05.html"))
second5.xID = "ch11s05"
second6 = insDoc(first11, gLnk("R", "HypConsolidateAllWithData", "ch11s06.html"))
second6.xID = "ch11s06"
second7 = insDoc(first11, gLnk("R", "HypForceCalculate", "ch11s07.html"))
second7.xID = "ch11s07"
second8 = insDoc(first11, gLnk("R", "HypForceCalculateContribution", "ch11s08.html"))
second8.xID = "ch11s08"
second9 = insDoc(first11, gLnk("R", "HypForceTranslate", "ch11s09.html"))
second9.xID = "ch11s09"
second10 = insDoc(first11, gLnk("R", "HypTranslate", "ch11s10.html"))
second10.xID = "ch11s10"
first12 = insFld(foldersTree, gFld("Member Query Functions", "ch12.html"))
first12.xID = "ch12"
second1 = insDoc(first12, gLnk("R", "About Member Query Functions", "ch12s01.html"))
second1.xID = "ch12s01"
second2 = insDoc(first12, gLnk("R", "HypFindMember", "ch12s02.html"))
second2.xID = "ch12s02"
second3 = insDoc(first12, gLnk("R", "HypFindMemberEx", "ch12s03.html"))
second3.xID = "ch12s03"
second4 = insDoc(first12, gLnk("R", "HypGetAncestor", "ch12s04.html"))
second4.xID = "ch12s04"
second5 = insDoc(first12, gLnk("R", "HypGetChildren", "ch12s05.html"))
second5.xID = "ch12s05"
second6 = insDoc(first12, gLnk("R", "HypGetParent", "ch12s06.html"))
second6.xID = "ch12s06"
second7 = insDoc(first12, gLnk("R", "HypIsAttribute", "ch12s07.html"))
second7.xID = "ch12s07"
second8 = insDoc(first12, gLnk("R", "HypIsDescendant", "ch12s08.html"))
second8.xID = "ch12s08"
second9 = insDoc(first12, gLnk("R", "HypIsAncestor", "ch12s09.html"))
second9.xID = "ch12s09"
second10 = insDoc(first12, gLnk("R", "HypIsExpense", "ch12s10.html"))
second10.xID = "ch12s10"
second11 = insDoc(first12, gLnk("R", "HypIsParent", "ch12s11.html"))
second11.xID = "ch12s11"
second12 = insDoc(first12, gLnk("R", "HypIsChild", "ch12s12.html"))
second12.xID = "ch12s12"
second13 = insDoc(first12, gLnk("R", "HypIsUDA", "ch12s13.html"))
second13.xID = "ch12s13"
second14 = insDoc(first12, gLnk("R", "HypOtlGetMemberInfo", "ch12s14.html"))
second14.xID = "ch12s14"
second15 = insDoc(first12, gLnk("R", "HypQueryMembers", "ch12s15.html"))
second15.xID = "ch12s15"
second16 = insDoc(first12, gLnk("R", "HypGetMemberInformation", "ch12s16.html"))
second16.xID = "ch12s16"
second17 = insDoc(first12, gLnk("R", "HypGetMemberInformationEx", "ch12s17.html"))
second17.xID = "ch12s17"
first13 = insFld(foldersTree, gFld("Options Functions", "ch13.html"))
first13.xID = "ch13"
second1 = insDoc(first13, gLnk("R", "About Options Functions", "ch13s01.html"))
second1.xID = "ch13s01"
second2 = insDoc(first13, gLnk("R", "HypGetGlobalOption", "ch13s02.html"))
second2.xID = "ch13s02"
second3 = insDoc(first13, gLnk("R", "HypSetGlobalOption", "ch13s03.html"))
second3.xID = "ch13s03"
second4 = insDoc(first13, gLnk("R", "HypGetSheetOption", "ch13s04.html"))
second4.xID = "ch13s04"
second5 = insDoc(first13, gLnk("R", "HypSetSheetOption", "ch13s05.html"))
second5.xID = "ch13s05"
second6 = insDoc(first13, gLnk("R", "HypGetOption", "ch13s06.html"))
second6.xID = "ch13s06"
second7 = insDoc(first13, gLnk("R", "HypSetOption", "ch13s07.html"))
second7.xID = "ch13s07"
second8 = insDoc(first13, gLnk("R", "HypDeleteAllMRUItems", "ch13s08.html"))
second8.xID = "ch13s08"
first14 = insFld(foldersTree, gFld("Dynamic Link Functions", "ch14.html"))
first14.xID = "ch14"
second1 = insDoc(first14, gLnk("R", "About Dynamic Link Views", "ch14s01.html"))
second1.xID = "ch14s01"
second2 = insDoc(first14, gLnk("R", "Setting Up Dynamic Link Views", "ch14s02.html"))
second2.xID = "ch14s02"
second3 = insDoc(first14, gLnk("R", "Automating Macro Execution", "ch14s03.html"))
second3.xID = "ch14s03"
second4 = insDoc(first14, gLnk("R", "HypUseLinkMacro", "ch14s04.html"))
second4.xID = "ch14s04"
second5 = insDoc(first14, gLnk("R", "HypSetLinkMacro", "ch14s05.html"))
second5.xID = "ch14s05"
second6 = insDoc(first14, gLnk("R", "HypGetLinkMacro", "ch14s06.html"))
second6.xID = "ch14s06"
second7 = insDoc(first14, gLnk("R", "HypGetSourceGrid", "ch14s07.html"))
second7.xID = "ch14s07"
second8 = insDoc(first14, gLnk("R", "HypDisplayToLinkView", "ch14s08.html"))
second8.xID = "ch14s08"
second9 = insDoc(first14, gLnk("R", "HypGetConnectionInfo", "ch14s09.html"))
second9.xID = "ch14s09"
second10 = insDoc(first14, gLnk("R", "HypSetConnectionInfo", "ch14s10.html"))
second10.xID = "ch14s10"
second11 = insDoc(first14, gLnk("R", "HypGetRowCount", "ch14s11.html"))
second11.xID = "ch14s11"
second12 = insDoc(first14, gLnk("R", "HypGetColCount", "ch14s12.html"))
second12.xID = "ch14s12"
second13 = insDoc(first14, gLnk("R", "HypGetPOVCount", "ch14s13.html"))
second13.xID = "ch14s13"
second14 = insDoc(first14, gLnk("R", "HypGetRowItems", "ch14s14.html"))
second14.xID = "ch14s14"
second15 = insDoc(first14, gLnk("R", "HypSetRowItems", "ch14s15.html"))
second15.xID = "ch14s15"
second16 = insDoc(first14, gLnk("R", "HypGetColItems", "ch14s16.html"))
second16.xID = "ch14s16"
second17 = insDoc(first14, gLnk("R", "HypSetColItems", "ch14s17.html"))
second17.xID = "ch14s17"
second18 = insDoc(first14, gLnk("R", "HypGetPOVItems", "ch14s18.html"))
second18.xID = "ch14s18"
second19 = insDoc(first14, gLnk("R", "HypSetPOVItems", "ch14s19.html"))
second19.xID = "ch14s19"
first15 = insFld(foldersTree, gFld("MDX Query Functions", "ch15.html"))
first15.xID = "ch15"
second1 = insDoc(first15, gLnk("R", "About MDX", "ch15s01.html"))
second1.xID = "ch15s01"
second2 = insDoc(first15, gLnk("R", "HypExecuteMDXEx", "ch15s02.html"))
second2.xID = "ch15s02"
first16 = insFld(foldersTree, gFld("Oracle BI EE Functions", "ch16.html"))
first16.xID = "ch16"
second1 = insDoc(first16, gLnk("R", "About Oracle BI EE Functions", "ch16s01.html"))
second1.xID = "ch16s01"
second2 = insDoc(first16, gLnk("R", "Preparing to Work with Oracle BI EE Functions", "ch16s02.html"))
second2.xID = "ch16s02"
second3 = insDoc(first16, gLnk("R", "Instantiating an Oracle Smart View BI Extension Object", "ch16s03.html"))
second3.xID = "ch16s03"
second4 = insFld(first16, gFld("Oracle Smart View BI Extension Functions", "ch16s04.html"))
second4.xID = "ch16s04"
third1 = insDoc(second4, gLnk("R", "InsertView", "ch16s04s01.html"))
third1.xID = "ch16s04s01"
third2 = insDoc(second4, gLnk("R", "EditPrompts", "ch16s04s02.html"))
third2.xID = "ch16s04s02"
third3 = insDoc(second4, gLnk("R", "EditPagePrompts", "ch16s04s03.html"))
third3.xID = "ch16s04s03"
third4 = insDoc(second4, gLnk("R", "GetPagePrompts", "ch16s04s04.html"))
third4.xID = "ch16s04s04"
third5 = insDoc(second4, gLnk("R", "DeleteView", "ch16s04s05.html"))
third5.xID = "ch16s04s05"
third6 = insDoc(second4, gLnk("R", "AnalysisProperties", "ch16s04s06.html"))
third6.xID = "ch16s04s06"
third7 = insDoc(second4, gLnk("R", "DirProperties", "ch16s04s07.html"))
third7.xID = "ch16s04s07"
third8 = insDoc(second4, gLnk("R", "InvokeMenu", "ch16s04s08.html"))
third8.xID = "ch16s04s08"
third9 = insDoc(second4, gLnk("R", "CopyView", "ch16s04s09.html"))
third9.xID = "ch16s04s09"
third10 = insDoc(second4, gLnk("R", "PasteView", "ch16s04s10.html"))
third10.xID = "ch16s04s10"